Bug 1558362

Summary: Review Request: openhantek - Oscilloscope and logic analyzer GUI
Product: [Fedora] Fedora Reporter: Vasiliy Glazov <vascom2>
Component: Package ReviewAssignee: Vitaly Zaitsev <vitaly>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, vitaly, zebob.m
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-10 16:08:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vasiliy Glazov 2018-03-20 06:22:02 UTC
Spec URL: https://raw.githubusercontent.com/RussianFedora/openhantek/master/openhantek.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/1378/25831378/openhantek-0.0.1-0.20180315git52622ac.fc29.src.rpm

Description:
OpenHantek is a free software for Hantek and compatible (Voltcraft/Darkwire/Protek/Acetech) USB digital signal oscilloscopes.

Homepage http://openhantek.org

Comment 1 Robert-André Mauchin 2018-03-20 12:10:12 UTC
 - I couldn't find a Release number on the website, how did you find 0.0.1? If upstream hasn't decided a Release number, set it to 0. Also Release should start at 1, not 0.

Version:        0.0.1
Release:        0.%{date}git%{gitcommit}%{?dist}

   Maybe you could convince upstream to start tagging release properly.

 - The changelog entry should contain a valid release message, for example "Initial package for Fedora".

 - Not needed, it is automated by transfiletrigger:

%post
%{udev_rules_update}

%postun
%{udev_rules_update}

Comment 2 Vasiliy Glazov 2018-03-20 12:33:15 UTC
Spec URL: https://raw.githubusercontent.com/RussianFedora/openhantek/master/openhantek.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/5104/25835104/openhantek-0-1.20180315git52622ac.fc29.src.rpm


Version 0.0.1 - is my guess. Now corrected. I contacted upstream about it https://github.com/OpenHantek/openhantek/issues/210

Changelog entry added.

%post and %postun deleted. I use it for f27 build.

Comment 3 Vitaly Zaitsev 2018-04-08 13:17:05 UTC
I will review this package.

Comment 4 Vitaly Zaitsev 2018-04-08 13:22:02 UTC
> Version: 0

Upstream have 2017-12 Git version tag.

> install -p -D -m 644 %{name}/res/images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
> install -p -D -m 644 %{name}/res/images/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

You can install only SVG icon.

Comment 6 Vasiliy Glazov 2018-04-10 16:08:57 UTC
It contain blob copyright firmware.